#! /usr/bin/env groovy

/*
 *  Calculation of Pi using quadrature realized with a basic sequential algorithm and enforcing primitive
 *  types throughout.
 *
 *  Copyright © 2008-9 Russel Winder
 */

final int n = 100000000i // 10 times fewer due to speed issues.
final double delta = 1.0d / n
def startTime = System.nanoTime ( )
double sum = 0.0d
for ( int i in 1..n ) {
 sum += 1.0d / ( 1.0d + ( ( i - 0.5d ) * delta ) ** 2i )
}  
double pi = 4.0d * sum * delta
def elapseTime =   ( System.nanoTime ( ) - startTime ) / 1e9
println ( "==== Groovy Sequential Primitives pi = " + pi )
println ( "==== Groovy Sequential Primitives iteration count = " + n ) 
println ( "==== Groovy Sequential Primitives elapse = " + elapseTime )
