#! /usr/bin/env python
# -*- mode: python; coding: utf-8 -*-

#  Calculation of Pi using quadrature. Sequential algorithm.
#
#  Copyright © 2008-9 Russel Winder

import time

n = 10000000 # 100 times fewer due to speed issues
delta = 1.0 / n
startTime = time.clock ( )
sum = 0.0
#  NB Using "for i in range ( 1 , n + 1 )" here would be a very bad move since range creates a list and with
#  numbers this big you really don't want to do that.
i = 1
while i < n + 1 :
  x = ( i - 0.5 ) * delta
  sum += 1.0 / ( 1.0 + x * x )
  i += 1
pi = 4.0 * sum * delta
elapseTime = time.clock ( ) - startTime
print "==== Python Sequential pi =" , pi
print "==== Python Sequential iteration count =" , n
print "==== Python Sequential elapse =" , elapseTime
